Show countries
const url = 'https://api.wink.travel/reference-data/country/list';const options = { method: 'GET', headers: {'Wink-Version': '2.0', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wink.travel/reference-data/country/list \ --header 'Authorization: Bearer <token>' \ --header 'Wink-Version: 2.0'Returns all supported countries as lightweight records, sorted by country name. Open reference data requiring no authentication.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ”Responses
Section titled “ Responses ”Successfully retrieved list of all countries
Country
object
ISO code
3 character ISO code
Numeric ISO code
FIPS country code
Country name
Country capital
Area in square kilometers
Country population
Continent code
Country TLD
Currency code
Currency name
Calling code
Postal code format
Postal code regular expression
Country languages
Country GeoNames identifier
Neighboring countries
Example
[ "{\n \"iso\": \"TH\",\n \"iso3\": \"THA\",\n \"isoNumeric\": 764,\n \"fips\": \"TH\",\n \"name\": \"Thailand\",\n \"capital\": \"Bangkok\",\n \"area\": 514000.0,\n \"population\": 69428524,\n \"continent\": \"AS\",\n \"topLevelDomain\": \".th\",\n \"currencyCode\": \"THB\",\n \"currencyName\": \"Baht\",\n \"phone\": \"66\",\n \"postalCodeFormat\": \"#####\",\n \"postalCodeRegEx\": \"^(\\d{5})$\",\n \"languages\": [\"th\"],\n \"geoNameId\": \"1605651\",\n \"neighbors\": [\"LA\", \"MM\", \"KH\", \"MY\"]\n}"]Bad Request — missing or invalid request parameter or body
object
object
Example
Unauthorized — authentication is required or the session has expired
object
object
Example
Forbidden — authenticated but lacking the required permission or scope
object
object
Example
Not Found — the requested resource does not exist
object
object
Example
Method Not Allowed — the HTTP verb is not supported on this endpoint
object
object
Example
Unsupported Media Type — use application/json
object
object
Example
Internal Server Error — an unexpected failure occurred on the server
object
object
Example
Service Unavailable — a downstream dependency is unreachable